from axelrod.action import Action
from axelrod.player import Player
lIIlllIll, IIlIIIlIlllIIlll = Action.C, Action.D
class IllIIllllIl(Player):
    lIlllIlIlIII = "strategy"
    IIlIIlII = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def lllIlIlIlIlIIIlI(lIllIlIIIlII: Player) -> Action:
        if lIllIlIIIlII.cooperations:
            return lIIlllIll
        return IIlIIIlIlllIIlll